在分析文件中添加插件配置，将会根据assets中内容自动生成R文件，并重新生成pubspec.yaml的assets配置

⚠️注意：这回造成analyzer重启，目前根据生成时间判断，减少重启次数。

文件夹对应关系
```shell
cd ../assets
./fonts # 二级路径转换为字体名称
./icons # 内部放入svg，可以生成直接可使用的icon对象
./images # 生成可使用的图片路径
./text # 将文件全部转换为字符串到变量，如果是json，yaml还能转换内部属性
```
生成的文件在lib/generated文件夹内；需要添加忽略

```yaml
analyzer:
  exclude:
    - lib/generated/**,
  plugins:
    - r_assets
```