import 'dart:isolate';

import 'logger/log.dart';
import 'package:analyzer/file_system/physical_file_system.dart';
import 'package:analyzer_plugin/starter.dart';
import './r_assets_plugin.dart';
import './mirror_plugin.dart';

/// [RAssetsPlugin]是继承[ServerPlugin]自定义的插件类，通过[ServerPluginStarter]将其加载。
void start(List<String> args, SendPort sendPort) {
  print('lib r_assets start');
  mirrorLog.info('-----------restarted-------------');
  // ServerPluginStarter(MirrorPlugin(PhysicalResourceProvider.INSTANCE)).start(sendPort);
  ServerPluginStarter(RAssetsPlugin(PhysicalResourceProvider.INSTANCE)).start(sendPort);
}
